function My_Tree_Node(params, node)
{
    My_Tree_Node.superclass.constructor.call(this, params);
    
    var oMainDiv = Rup.create('div');
    var oHeaderDiv = Rup.create('div');
    var oContainerDiv = Rup.create('div');
    
    oContainerDiv.style.padding = '0 0 0 25px';
    
    oHeaderDiv.innerHTML = node.getAttribute('title');
    
    var instance = this;
    oHeaderDiv.onclick = function(){
        instance._isOpened ? instance.close() : instance.open();
    }
    
    oMainDiv.appendChild(oHeaderDiv);
    oMainDiv.appendChild(this._loadingElement);
    oMainDiv.appendChild(oContainerDiv);
    
    this._setBaseElement(oMainDiv);
    this._setContainerElement(oContainerDiv);
    
    this._hideContainer();
}

Rup.extend(My_Tree_Node, Tree_Node_Abstract);